1. Payment integration
English
  • English
  • įŽ€äŊ“中文
  • TLY Pay API
    • Getting started
    • HTTP conventions and payment status
    • Webhook verification and recovery
    • Payment integration
      • Create a Payment
        POST
      • Get Payment status
        GET
      • Cancel a Payment
        POST
      • Disable Checkout access
        DELETE
      • Check pricing configuration
        GET
      • Configure a Webhook endpoint
        POST
      • Verify a Webhook signing Secret
        POST
  • Schemas
    • CreatePayment
    • CreatedPayment
    • ErrorResponse
    • BootstrapWebhook
    • MerchantPaymentView
    • MerchantStoreSourceView
    • MerchantStoreView
    • OneTimeSecretResponse
    • SourceAmount
    • MerchantSourceAmountView
    • VerifyWebhookBinding
    • WebhookBindingView
  1. Payment integration

Create a Payment

POST
/v1/payments
Requires API Key scope payment:write.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

đŸŸĸ200OK
application/json
Payment created or idempotently reused
Headers

Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠409
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/payments' \
--header 'Idempotency-Key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "checkout_origin": "string",
    "order_ref": "string",
    "return_url": "string",
    "source_amount": {
        "amount_raw": "string",
        "currency": "string",
        "kind": "fiat"
    }
}'
Response Response Example
200 - Example 1
{
    "payment_id": "string"
}
Previous
Webhook verification and recovery
Next
Get Payment status
Built with